data:extend(
{

	--[[
	{
		type = "fluid",
		name = "y-steam-low",
		default_temperature = 105,
		max_temperature = 305,
		heat_capacity = "2.5KJ",
		base_color = {r=0.5, g=0.5, b=0.8},
		flow_color = {r=0.5, g=0.6, b=0.7},		
		icon = "__yi_engines__/graphics/steam.png",
		order = "a[fluid]-a[water]",
		pressure_to_speed_ratio = 0.7,
		flow_to_energy_ratio = 0.7,
		subgroup = "ys-test",
	},	
	

	{
		type = "fluid",
		name = "y-fluid-hydraulic",
		default_temperature = 25,
		max_temperature = 90,
		heat_capacity = "10KJ",
		base_color = {r=0.5, g=0.5, b=0.8},
		flow_color = {r=0.5, g=0.6, b=0.7},
		icon = "__yi_engines__/graphics/volatile-fluid.png",
		order = "a[fluid]-a[water]",
		pressure_to_speed_ratio = 0.6,
		flow_to_energy_ratio = 0.8,
		subgroup = "ys-test",
	},	
	]]

	{
		type = "fluid",
		name = "y-heated-air",
		default_temperature = 30,
		max_temperature = 380,
		heat_capacity = "0.75KJ",
		base_color = {r=0.9, g=0.5, b=0.0},
		flow_color = {r=0.9, g=0.7, b=0.3},
		icon = "__yi_engines__/graphics/hot-air.png",
		order = "a[fluid]-a[water]",
		--pressure_to_speed_ratio = 0.9,
		--flow_to_energy_ratio = 0.9,
		pressure_to_speed_ratio = 0.2,
		flow_to_energy_ratio = 0.2,
		subgroup = "ys-test",
	},	

	{
		type = "fluid",
		name = "y-mechanical-force",
		default_temperature = 0,
		max_temperature = 200,
		heat_capacity = "25KJ",
		base_color = {r=1.0, g=1.0, b=1.0},
		flow_color = {r=1.0, g=1.0, b=1.0},
		icon = "__yi_engines__/graphics/mf-1.png",
		order = "a[fluid]-a[water]",
		pressure_to_speed_ratio = 0.125,
		flow_to_energy_ratio = 0.025,
		subgroup = "ys-test",
	}	
	
	
})