data:extend(
{  
	
	-- Solid Fuel Engine	
	{
		type = "recipe",
		name = "y-sfe-recipe",
		ingredients = {{"y-basic-t1-mf",3},{"y-bluegear",2},{"iron-plate",4},},
		result = "y-sfe",
		enabled = "true",		
		result_count = 1,
		order="engine",
		subgroup = "yie-engines",
	},
		
	{
		type = "item",
		name = "y-sfe",
		icon = "__yi_engines__/graphics/entity/energy2/sfe-icon.png",
		flags = {"goes-to-quickbar"},
		order = "b[steam-power]-b[steam-engine]-c[c]",
		place_result = "y-sfe",
		stack_size = 20,		
	},
	
	-- Fluid Fuel Engine	
	{
		type = "recipe",
		name = "y-ffe-recipe",
		ingredients = {{"y-basic-t2-mf",2},{"y-bluegear",6},{"steel-plate",4},},
		result = "y-ffe",
		enabled = "true",		
		result_count = 1,
		order="engine",
		subgroup = "yie-engines",
	},
		
	{
		type = "item",
		name = "y-ffe",
		icon = "__yi_engines__/graphics/entity/energy2/ffe-icon.png",
		flags = {"goes-to-quickbar"},
		order = "b[steam-power]-b[steam-engine]-c[c]",
		place_result = "y-ffe",
		stack_size = 20,
	},
	
	-- quantrinum reactor
	
	{
		type = "recipe",
		name = "y-quantrinum-reactor-recipe",
		ingredients = {{"y-basic-t2-mf",5},{"y-rare-wall-adv",10}, {"y-accumulator-s-t2",8}, {"y-infused-uca2", 4}},
		result = "y-quantrinum-reactor",
		enabled = "true",		
		result_count = 1,
		order="engine",
		subgroup = "yie-engines",
	},
	
	{
		type = "item",
		name = "y-quantrinum-reactor",
		icon = "__yi_engines__/graphics/entity/energy2/qr-icon.png",
		flags = {"goes-to-quickbar"},
		order = "b[steam-power]-b[steam-engine]-c[c]",
		place_result = "y-quantrinum-reactor",
		stack_size = 20,
	},	
	
	
	-- Heat-Cool-Rib-Block
	{
		type = "recipe",
		name = "y-hc-ribb-recipe",
		ingredients = {{"copper-plate",2},{"iron-plate",1},},
		result = "y-hc-ribb",
		enabled = "true",		
		result_count = 1,
		order="i1",
		subgroup = "yie-parts",
	},	
	{
		type = "item",
		name = "y-hc-ribb",
		icon = "__yi_engines__/graphics/heat-pipe.png",
		flags = {"goes-to-quickbar"},
		order = "i1",		
		stack_size = 20,
	},	
	
	-- Little Stirling Engine	
	{
		type = "recipe",
		name = "y-1stirling-engine-recipe",
		ingredients = {{"engine-unit",1},{"iron-gear-wheel",3},{"y-hc-ribb",2},},
		result = "y-1stirling-engine",
		enabled = "true",		
		result_count = 1,
		order="1",
		subgroup = "yie-engines",
	},
		
	{
		type = "item",
		name = "y-1stirling-engine",
		icon = "__yi_engines__/graphics/entity/energy2/ast-icon.png",
		flags = {"goes-to-quickbar"},
		order = "1",
		place_result = "y-1stirling-engine",
		stack_size = 20,
	},	

	-- Electric Air-Heater
	{
		type = "recipe",
		name = "y-electric-air-heater-recipe",
		ingredients = {{"engine-unit",1},{"iron-gear-wheel",2},{"y-hc-ribb",4},{"copper-cable",7},},
		result = "y-electric-air-heater",
		enabled = "true",		
		result_count = 1,
		order="1",
		subgroup = "yie-engines",
	},		
	{
		type = "item",
		name = "y-electric-air-heater",
		icon = "__yi_engines__/graphics/entity/energy2/air-heater-icon.png",
		flags = {"goes-to-quickbar"},
		order = "1",
		place_result = "y-electric-air-heater",
		stack_size = 20,
	},	
	
})	
	